#pragma once
#include "InterfaceTemplate.h"
#include "Context.h"

//!	インタフェース宣言
class IMimeTypeManager;
DEFINE_INTERFACE_NOWRAP(IMimeTypeManager);

class IMimeTypeManager
{
public:
	virtual ~IMimeTypeManager(void)
	{
	}

	///////////////////////////////////////////////////////////////////////////////////////////
	//	インターフェース
	///////////////////////////////////////////////////////////////////////////////////////////
	//!	IPathTool取得
	virtual IMimeTypeManagerPtr GetIMimeTypeManager() = 0;

	//!	ファイル名からMimeTypeを取得する
	virtual CString GetMimeTypeByName(CString name) = 0;

	//!	ファイル名からアイコンパスを取得
	virtual CString GetIconPathByName(CString name) = 0;

};
